import { OnInit, EventEmitter } from '@angular/core';
/**
 * Card con titulo, descripcion, etiqueta, icono e imagen
 */
export declare class CardsImgTextComponent implements OnInit {
    /**
     * Titulo a mostrar en el card
     */
    titulo: string;
    /**
     * Descripciòn a mostrar en el card
     */
    descripcion: string;
    /**
     * Etiqueta a mostrar en el card
     */
    etiqueta: string;
    /**
     * Imagen a mostrar en el card
     */
    imagen: string;
    /**
     * recibe el icono a usar
     */
    icono: string;
    /**
     * Enviar el tamaño de columnas y el tamaño del icono
     */
    classTexto: string;
    /**
     * Clase para asignar al icono
     */
    classIcono: string;
    /**
     * Color del icono
     */
    color: string;
    /**
     * Altura del icono
     */
    height: string;
    /**
     * Acccion click en el card
     */
    click: EventEmitter<any>;
    /**
     * @ignore
     */
    constructor();
    /**
     * @ignore
     */
    ngOnInit(): void;
    /**
     * Envia un evento si hace click en el card
     * @param $event Caracteristicas del evento click en el card
     */
    clickCard($event: any): void;
}
