import { OnInit, EventEmitter } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
/**
 * Componente que permite agregar un mensaje y una nueva imagen
 */
export declare class ChatDetailAddComponent implements OnInit {
    private formBuilder;
    /**
     * Validamos si puede escribir o no un mensaje
     * @example
     * 0 si puede enviar un mensaje
     * 1 no puede enviar mensaje
     * 2 no puede enviar mensaje
     */
    disabled: number;
    /**
     * Mensaje que aparecera en la caja de texto
     */
    placeholder: string;
    /**
     * Al enviar un mensaje emite un evento
     */
    newMessage: EventEmitter<string>;
    /**
     * Al enviar una imagen emite un evento con todos los archivos cargados
     */
    newImage: EventEmitter<FileList>;
    /**
     * Variable de formulario
     */
    messageForm: FormGroup;
    /**
     * @ignore
     * @param formBuilder inicializacion de formulario
     */
    constructor(formBuilder: FormBuilder);
    /**
     * Inicializamos el formulario
     */
    ngOnInit(): void;
    /**
     * añadimos el control mensaje e imagen al formulario
     */
    createForm(): void;
    /**
     * Emitimos de que hay un nuevo mensaje y limpiamos la caja de texto
     */
    sendMessage(): void;
    /**
     * Emitimos de que hay una nueva imagen a enviar
     */
    sendImage(event: Event): void;
}
