import { OnInit, EventEmitter } from '@angular/core';
import { IChatListDetail } from '../../dto/ichat-list-detail';
import { IChatDetailMessage } from '../../dto/ichat-detail-message';
import { Fecha } from '../../../utilitario/fecha/fecha';
/**
 * Componente que muestra la lista de conversaciones
 */
export declare class ChatListDetailComponent implements OnInit {
    /**
     * Caracteristicas de una conversacion
     */
    listDetail: IChatListDetail;
    /**
     * El mensaje a mostrar cuando se envie una imagen
     */
    imageName: string;
    /**
     * Si se desea resaltar un texto en el chat
     */
    search: string;
    /**
     * Retorna un evento cuando cuando cuando hace click en una conversacion
     */
    clickDetail: EventEmitter<any>;
    /**
     * Variable con la cual podremos trabajar de una forma mas sencilla los datos de tipo date
     */
    date: Fecha;
    /**
     * @ignore
     */
    constructor();
    /**
     * @ignore
     */
    ngOnInit(): void;
    /**
     * Si realiza un click en una conversacion
     */
    click(): void;
    /**
     * De la lista de mensajes obtememos el ultimo mensaje y lo mostramos en caso de imagen mostramos la palabra foto
     * debe estar ordenado los mensajes
     * @param messages recibe todos los mensajes de la conversacion
     */
    messageLast(messages: IChatDetailMessage[]): string;
    /**
     * De la lista de mensajes obtememos el ultimo mensaje y lo mostramos en caso de imagen mostramos la palabra foto
     * debe estar ordenado los mensajes
     * @param messages recibe todos los mensajes de la conversacion
     */
    dateLast(messages: IChatDetailMessage[]): string;
    /**
     * Funcion para verficar el estado actual del usuario con el que se esta conversando
     * @param listDetail propiedades de la conversacion conectado, desconectado
     */
    chatState(listDetail: IChatListDetail): false | import("../../dto/echat-state").EChatState;
    /**
     * Si la imagen es null, undefined o vacia utilizar una por defecto
     * @param image url o ubicacion de la imagen
     * @returns la imagen o una por va
     */
    imageValidate(listDetail: IChatListDetail): string;
    /**
     * Validamos si mostramos una validacion o no
     */
    notificationValidate(notification: number): boolean;
    /**
     * Obtener nombre
     */
    validateListDetail(listDetail: IChatListDetail): boolean;
}
