import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
/**
 * Input con material
 */
export declare class InputComponent implements OnInit {
    private formBuilder;
    /**
     * Apariencia de material del input
     */
    appearance: string;
    /**
     * padre del input
     */
    parent: FormGroup;
    /**
     * padre del input
     */
    name: string;
    /**
     * tooltip a mostrar
     */
    tooltip: string;
    /**
     * position del tooltip
     */
    position: string;
    /**
     * texto abajo del input
     */
    hint: string;
    /**
     * label en el input
     */
    label: string;
    /**
     * Icono  en la parte final del textbox
     */
    iconMatSuffix: string;
    /**
     * texto en la parte final del textbox
     */
    spanMatSuffix: string;
    /**
     * Icono  en la parte inicial del textbox
     */
    iconMatPrefix: string;
    /**
     * texto en la parte inicial del textbox
     */
    spanMatPrefix: string;
    /**
     * evento keydown emita un evnto
     */
    keydown: EventEmitter<any>;
    /**
     * evento que retorna el valor del input
     */
    value: EventEmitter<any>;
    /**
     * Crearemos un formGroup por defecto en caso no se envie
     */
    constructor(formBuilder: FormBuilder);
    /**
     * @ignore
     */
    ngOnInit(): void;
    /**
     * Validacion de que los elementos no sean null undefined o vacios
     */
    validationValue(element: any): boolean;
    /**
     * Retornamos un nuevo evento y llamamos a la funcion emitValue
     * @param event Evento al presionar una tecla
     */
    keydownFun(event: any): void;
    /**
     * Emitimos un evento retornando el valor actual del input
     */
    emitValue(): void;
}
