import { OnInit, ComponentFactoryResolver } from '@angular/core';
import { IndicatorHostDirective } from '../directives/indicator-host.directive';
import { LoadingIndicatorConfig } from '../interfaces/loading.interfaces';
/**
 * Componente que contendra todos los tipos de loading
 */
export declare class LoadingComponent implements OnInit {
    private config;
    private componentFactoryResolver;
    /**
     * Directiva que nos indica que componentes se aceptaran
     */
    host: IndicatorHostDirective;
    /**
     * Configuracion necesaria del loading
     * @param config La configuracion que utlizaremos para el loading
     * @param componentFactoryResolver Nos permitira mostrar el componente
     */
    constructor(config: LoadingIndicatorConfig, componentFactoryResolver: ComponentFactoryResolver);
    /**
     * Escojeremos que loading mostraremos
     */
    ngOnInit(): void;
    /**
     * Daremos el tamaño al spinner
     */
    readonly indicatorSize: string;
    /**
     * Obtendremos el loading a mostrar
     * Si no indico ningun loading enviamos el SpinnerComponent
     */
    private loadComponent;
}
