/**
 * Servicio que permite añadir modales
 */
export declare class ModalService {
    /**
     * Modales registrados en el servicio
     */
    private modals;
    /**
     * @ignore
     */
    constructor();
    /**
     * Añadimos el modal a la lista de modales a mostrar
     * @param modal Modal a mostrar
     */
    add(modal: any): void;
    /**
     * Eliminamos un modal de la lista de modales a mostrar
     * @param id id del model que vamos a eliminar
     */
    remove(id: string): void;
    /**
     * Abrir un modal
     * @param id id del modal que queremos mostrar
     */
    open(id: string): void;
    /**
     * Cerrar un modal
     * @param id id del modal que queremos ocultar
     */
    close(id: string): void;
}
